Skip to main content
POST
/
v1
/
tag-policies
Create a tag policy
curl --request POST \
  --url https://api.strait.dev/v1/tag-policies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actions": [
    "<string>"
  ],
  "project_id": "<string>",
  "resource_type": "<string>",
  "tag_key": "<string>",
  "user_id": "<string>",
  "tag_value": "<string>"
}
'
{
  "actions": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "project_id": "<string>",
  "resource_type": "<string>",
  "tag_key": "<string>",
  "user_id": "<string>",
  "$schema": "<string>",
  "tag_value": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Body

application/json
actions
string[] | null
required
project_id
string
required
resource_type
string
required
tag_key
string
required
user_id
string
required
tag_value
string

Response

OK

actions
string[] | null
required
created_at
string<date-time>
required
id
string
required
project_id
string
required
resource_type
string
required
tag_key
string
required
user_id
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/TagPolicy.json"

tag_value
string